Get
/api/cspm/{app}/finding-types
Returns the names and descriptions of all finding types available for the given CSPM app. A token must be installed for the app first (see Create a new CSPM integration). Use the finding type name in GET /api/cspm//findings/ to fetch actual data.
Security
HTTP
Type bearer
Path parameters
app
stringRequired
CSPM application name (e.g. wiz) -- case-insensitive
Responses
200
List of supported finding types
Array of object
object
Metadata for an available CSPM finding type
name
string
Finding type identifier used in the URL (e.g. wiz-roles)
description
string
Human-readable description of the finding type
400
Unsupported CSPM app or no integration installed for it